## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.terminal3.io/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL Example

```
curl --request POST \
  --url https://staging.terminal3.io/v1/sub_client \
  --header 'Content-Type: application/json' \
  --header 'x-api-token: <x-api-token>' \
  --data '\
{
  "name": "<string>",
  "address_1": "<string>",
  "address_2": "<string>",
  "country": "<string>",
  "province": "<string>",
  "city": "<string>",
  "timezone": "<string>",
  "domain": "<string>",
  "subdomain": "<string>"
}
'```

### Python Example

```
import requests

url = "https://staging.terminal3.io/v1/sub_client"

payload = {
    "name": "<string>",
    "address_1": "<string>",
    "address_2": "<string>",
    "country": "<string>",
    "province": "<string>",
    "city": "<string>",
    "timezone": "<string>",
    "domain": "<string>",
    "subdomain": "<string>"
}
headers = {
    "x-api-token": "<x-api-token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript Fetch API Example

```
const options = {
  method: 'POST',
  headers: {'x-api-token': '<x-api-token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    address_1: '<string>',
    address_2: '<string>',
    country: '<string>',
    province: '<string>',
    city: '<string>',
    timezone: '<string>',
    domain: '<string>',
    subdomain: '<string>'
  })
};

fetch('https://staging.terminal3.io/v1/sub_client', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```


```

### Expected Responses

#### Success Response

```
{
  "data": {
    "client_id": 123,
    "name": "<string>",
    "domain": "<string>",
    "timezone": "<string>",
    "address_1": "<string>",
    "address_2": "<string>",
    "country": "<string>",
    "province": "<string>",
    "city": "<string>",
    "subdomain": "<string>",
    "from_email_address": "<string>",
    "esp_token": "<string>",
    "recaptcha_key": "<string>",
    "recaptcha_threshold": 123,
    "recaptcha_enabled": true,
    "created_at": "<string>",
    "privacy_link": "<string>"
  }
}
```

#### Error Response

```
{
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}
```

### Headers

- **x-api-token**: `string`, required
- **x-api-subclient-id**: `string`

### Body Parameters

- **name**: `string`, required, length: 1-70
- **address_1**: `string`, required, length: 1-100
- **address_2**: `string`, required, length: 1-100
- **country**: `string`, minimum length: 1
- **province**: `string`, minimum length: 1
- **city**: `string`, minimum length: 1
- **timezone**: `string`
- **domain**: `string`
- **subdomain**: `string`.
